Bug 36562 - gnatmake not processing shared library projects
gnatmake not processing shared library projects
Status: RESOLVED FIXED
Product: gcc
Classification: Unclassified
Component: ada
4.4.0
: P3 normal
: 4.4.0
Assigned To: Not yet assigned to anyone
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-18 03:45 UTC by Chris Proctor
Modified: 2008-06-26 10:17 UTC (History)
1 user (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments
patch to fix configuration for ada/36562 (7.66 KB, patch)
2008-06-19 21:42 UTC, Chris Proctor
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Proctor 2008-06-18 03:45:08 UTC
The changes described in <http://gcc.gnu.org/ml/gcc-patches/2008-04/msg00607.html> entitled "More code clean up in mlib-tgt-*" changes/renames a number of files from the form mlib-tgt-xxxxxx.adb to mlib-tgt-specific-xxxxxx.adb.

However the corresponding changes were not made to gnatlib/configure.ac.
This results in a softlink from mlib-tgt-specific.adb in the tools build directory to a non-existent file.  When gnatmake is built the default mlib-tgt-specific.adb file is used.  Any attempt to use the new gnatmake to build against a library project results in a failure with an error message stating libraries are not supported on this platform.

The fix is to change all occurrences of mlib-tgt-xxxxx.adb to mlib-tgt-specific-xxxx.adb in gnatlib/configure.ac and to regenerate gnatlib/configure.  Additionally two occurrences where not updated in gcc/ada/Makefile.in (*86 kfreebsd and sh4 linux).

A more interesting question (which I have not explored yet) is why the build silently ignores the bad symlink, and continues on using a default file from further down the search list.
Comment 1 Chris Proctor 2008-06-19 21:42:26 UTC
Created attachment 15791 [details]
patch to fix configuration for ada/36562

Attached is a patch which fixes configuration problem associated with the bug.
This has only been tested on x86_64-linux.
Comment 2 Samuel Tardieu 2008-06-26 10:17:37 UTC
Fixed in SVN trunk, thanks Chris for the patch.